﻿using GalaSoft.MvvmLight;
using Model;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using GalaSoft.MvvmLight.Command;
using Microsoft.Win32;

namespace infragisticsTest.Chart.ViewModel
{
    public class ChartViewModel : ViewModelBase
    {
        public ChartViewModel()
        {
            for (int i = 10; i > 0; i--)
            {
                Weathers.Add(new Weather
                {
                    Date = DateTime.Now.AddDays(-i),
                    Temperature = i % 3 + 5
                });
            }
        }

        public ObservableCollection<Weather> Weathers { get; set; } = new ObservableCollection<Weather>();
    }
}
